package com.jisco.dynamicweight.dynamicworkupdata.dto;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class CalNewCokeDto {
    Date startTime;
    Date endTime;
    String receiverCode;
    String senderCode;
    List<String> materialIds;
    List<String> stationNums;

    public List<String> getStationNums() {
        return stationNums;
    }

    public void setStationNums(List<String> stationNums) {
        this.stationNums = stationNums;
    }

    public String getSenderCode() {
        return senderCode;
    }

    public void setSenderCode(String senderCode) {
        this.senderCode = senderCode;
    }

    public String getReceiverCode() {
        return receiverCode;
    }

    public void setReceiverCode(String receiverCode) {
        this.receiverCode = receiverCode;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public List<String> getMaterialIds() {
        return materialIds;
    }

    public void setMaterialIds(List<String> materialIds) {
        this.materialIds = materialIds;
    }

    @Override
    public String toString() {
        return "CalNewCokeDto{" +
                "startTime=" + startTime +
                ", endTime=" + endTime +
                ", receiverCode='" + receiverCode + '\'' +
                ", senderCode='" + senderCode + '\'' +
                ", materialIds=" + materialIds +
                ", stationNums=" + stationNums +
                '}';
    }

    public static class InbatchDto {

        private String materialCode;
        private String materialName;
        private BigDecimal weight;

        public String getMaterialCode() {
            return materialCode;
        }

        public void setMaterialCode(String materialCode) {
            this.materialCode = materialCode;
        }

        public String getMaterialName() {
            return materialName;
        }

        public void setMaterialName(String materialName) {
            this.materialName = materialName;
        }

        public BigDecimal getWeight() {
            return weight;
        }

        public void setWeight(BigDecimal weight) {
            this.weight = weight;
        }

        @Override
        public String toString() {
            return "InbatchDto{" +
                    "materialCode='" + materialCode + '\'' +
                    ", materialName='" + materialName + '\'' +
                    ", weight=" + weight +
                    '}';
        }
    }
}
